<template>
  <div>
    <div v-if="loader" class="data-markup__loader">
      <ob-loader
          :width="10"
          :height="10"
          :duration="2"
      />
    </div>
    <div v-else class="data-markup__block">
      <div class="data-markup__title">
        Обобщённая наценка
      </div>
      <ObInput
          class="user-setting-search__input"
          label="Обобщённая"
          v-model="allMarkup"
          placeholder="Введите значение"
          icon="icon question"
          type="money:0"
          :isConvertMoney="false"
          subTitle="%"
          @blur="saveMarkup"
      />
    </div>
  </div>
</template>

<script>
  import ObLoader from 'common-components/src/obComponents/obLoader';
  import ObInput from "common-components/src/obComponents/obInput";
  import {mapActions, mapGetters} from "vuex";
  import api from "@/api";

  export default {
    name: "ForAll",
    components: {
      ObLoader,
      ObInput
    },
    data() {
      return {
        markupData:[],
        loader: true,
        allMarkup: 0,
      }
    },
    computed: {
      ...mapGetters({
        userUuid: 'user/participantUuid',
        markup: 'clicarSettings_2/markup'
      }),
    },
    methods: {
      ...mapActions({
        getMarkupSettings: 'clicarSettings_2/getMarkupSettings'
      }),
      async saveMarkup() {
        let formData = {
          "locationStartUuid": "",
          "locationEndUuid": "",
          "markup": Number(this.allMarkup)
        }
        await api.clicar_setting_2.saveMarkupSettings(this.userUuid, formData)
      }
    },
    mounted() {
      this.getMarkupSettings(this.userUuid).then(()=>{
        this.allMarkup = this.markup
        this.loader = false
      })
    }
  }
</script>

<style lang="scss" scoped>
@import "~common-components/src/static/css/mixins";
.data-markup {
  &__loader {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 300px;
  }
  &__block{
    margin-top: 25px;
    width: 200px;
  }
  &__title{
    margin-bottom: 15px;
    @include font-mixin(16px, 20px, 700, $topMenuTextHover, .4px);
  }
}
</style>
